com.dlsc.flexgantt.swing.action.layer

## Class AddPinnedPopupAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction
    - - com.dlsc.flexgantt.swing.action.layer.AbstractLayerContainerAction
      - - com.dlsc.flexgantt.swing.action.layer.AddPinnedPopupAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action

      public class AddPinnedPopupAction
      extends AbstractLayerContainerAction

  An action that will cause the popup of timeline object to be pinned so that is remains visible when the mouse cursor is no longer on top of the timeline object.
  Since:
    1.0
  Version:
    $Revision: 1.2 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.swing.action.layer.AbstractLayerContainerAction

      `layerContainer`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddPinnedPopupAction(LayerContainer lc)` Constructs a new action.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent e)`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.layer.AbstractLayerContainerAction

      `getLayerContainer, setLayerContainer`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction

      `getToolTipText, setToolTipText`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddPinnedPopupAction

          public AddPinnedPopupAction(LayerContainer lc)

      Constructs a new action.
      Parameters:
        `lc` - the layer container on which to perform the action
      Since:
        1.0

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(ActionEvent e)

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.